﻿$ErrorActionPreference = 'Stop';

$softVersion = '5.2.9'
$shortVersion = '5.2.9'

$osBitness = Get-ProcessorBits

$packageName= 'mrViewer'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://sourceforge.net/projects/mrviewer/files/v${shortVersion}/${packageName}-v${shortVersion}-Windows-32.zip"
$url64      = "https://sourceforge.net/projects/mrviewer/files/v${shortVersion}/${packageName}-v${shortVersion}-Windows-64.zip"

If ( $osBitness -Match "32" )
{
	$programFiles = $env:ProgramFiles
}
Else
{
	$programFiles = $env:ProgramW6432
}

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $programFiles
  fileType      = 'exe'
  url           = $url
  url64bit      = $url64

  softwareName  = 'mrViewer*'

  checksum      = '75B840983D1C21D4FC78545221183A73D1EB2FD9D54B5C290E6071FC48C4895F'
  checksumType  = 'sha256'
  checksum64    = '5FA16F1014FE535B046AB2CCF6DF7A3012910A2FCE29001267C69C75BBEB79A5'
  checksumType64= 'sha256'

  validExitCodes= @(0, 3010, 1641)
  silentArgs   = ''
}

Install-ChocolateyZipPackage @packageArgs



$target = Join-Path $programFiles "${packageName}-v${shortVersion}-Windows-${osBitness}/bin"
Install-ChocolateyPath -PathToInstall "${target}" -PathType 'Machine'


$DesktopPath = [Environment]::GetFolderPath("CommonDesktopDirectory")
$StartMenu = [Environment]::GetFolderPath("CommonStartMenu")
$StartPath = Join-Path "$StartMenu" "Programs"

Install-ChocolateyShortcut -ShortcutFilePath "${DesktopPath}/${packageName}-${osBitness} v${shortVersion}.lnk" -TargetPath "${target}/${packageName}.exe"

Install-ChocolateyShortcut -shortcutFilePath "${StartPath}/${packageName}-${osBitness} v${shortVersion}.lnk" -targetPath "${target}/${packageName}.exe"
